package sprzedaz;

import javax.swing.*;
import java.math.BigDecimal;
import java.util.List;

public class SumaWJednymMiescie_Funkcyjnie {
    public static void main(String[] args) {
        List<Rekord> lista = ObslugaCSV.wczytaj();
        String miasto = JOptionPane.showInputDialog("Podaj nazwę miasta");
        if(miasto == null) return;

        // wersja BigDecimal
        BigDecimal suma = lista.stream()
                .filter(r -> miasto.equalsIgnoreCase(r.miasto()))
                .map(r -> r.cena().multiply(BigDecimal.valueOf(r.sztuk())))
                .reduce(BigDecimal.ZERO, (a, b) -> a.add(b))
                ;

        // wersja double
        double sumaD = lista.stream()
                .filter(r -> miasto.equalsIgnoreCase(r.miasto()))
                .mapToDouble(r -> r.cena().doubleValue() * r.sztuk())
                .reduce(0.0, (a, b) -> a+b);

        JOptionPane.showMessageDialog(null,
                "Suma BD = " + suma + "\nSuma db = " + sumaD);
    }
}
